<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>object.defineProperty</title>
</head>
<body>
    <script>
        let newUser = {};
        let name = prompt('What is your name?', 'Vasya');


        Object.defineProperty(newUser, 'firstName', {
            value: name,
            writable: true
        });

        console.log(newUser);
    </script>
</body>
</html>